作者 主題: SYSINSTALL 一問  (閱讀 4445 次)

0 會員 與 1 訪客 正在閱讀本文。

antipower

  • 可愛的小學生
  • *
  • 文章數: 4
    • 檢視個人資料
    • 遊戲紀錄
SYSINSTALL 一問
« 於: 2007-07-25 23:30 »
大家好
我是安裝 Freebsd 6.1 的新手
我已經閱讀過安裝 apache 的方法為
進入 /usr/ports/apache20
執行 make config 跟 make install

想請教各位大大,
Freebsd 6 的兩片裝光碟中
是不是並沒有 apache2 的 package 呢

因為我在 sysinstall 裡 package 的選項裡面
並沒有找到 apache2 的選項

還請各位大大解惑, 感謝~~

coborla

  • 懷疑的國中生
  • **
  • 文章數: 50
    • 檢視個人資料
SYSINSTALL 一問
« 回覆 #1 於: 2007-07-26 07:01 »
嗯...要裝apache 2.x版, 應需先裝openssl,否則會裝不起來吧.

/usr/ports/security/openssl

那apache 2.0的ports路徑如下:

/usr/ports/www/apache20

我只用網路安裝bsd, 但是我用sysinstall還是可以看到有各版本apache.

# sysinstall -> Configure / Packages / ftp (你可以選cd/dvd , 但要光碟先掛載進來) / www / <這層的選單應該就有各版本apache>

antipower

  • 可愛的小學生
  • *
  • 文章數: 4
    • 檢視個人資料
    • 遊戲紀錄
WWW 下仍未找到 apache
« 回覆 #2 於: 2007-07-26 07:55 »
謝謝您的協助

想再請問一下您是用哪一版本的
這台機器的版本是
FreeBSD myfreebsd 6.0-RELEASE FreeBSD 6.0-RELEASE

選擇 CD 的話  仍是找不到 apache
# sysinstall -> Configure / Packages / CD

[ ] epiphany-1.6.4          [/usr/ports/www/epiphany]        
[ ] evolution-webcal-2.2.1  [/usr/ports/www/evolution-webcal]
[ ] gtkhtml3-3.6.2          [/usr/ports/www/gtkhtml3]        
[ ] kdewebdev-3.4.2,2       [/usr/ports/www/kdewebdev]        
[ ] libgtkhtml-2.6.3_1      [/usr/ports/www/libgtkhtml]      
[ ] links-2.1.p17,1         [/usr/ports/www/links]            
[ ] lynx-2.8.5              [/usr/ports/www/lynx]            
[ ] mozilla-1.7.12,2        [/usr/ports/www/mozilla]          
[ ] neon-0.24.7             [/usr/ports/www/neon]            
[ ] opera-8.50.20050916     [/usr/ports/www/opera]            
[ ] tidy-20000804_2         [/usr/ports/www/tidy]            
[ ] urlview-0.9_1           [/usr/ports/textproc/urlview]  

選擇FTP 的話會說沒有 6.0 RELEASE
# sysinstall -> Configure / Packages / ftp

Warning:  Can't find the `6.0-RELEASE' distribution on this │
                       │ FTP server.  You may need to visit a different server for   │
                       │ the release you are trying to fetch or go to the Options    │
                       │ menu and to set the release name to explicitly match what's │
                       │ available on ftp.freebsd.org (or set to "any").        

引述: "coborla"
嗯...要裝apache 2.x版, 應需先裝openssl,否則會裝不起來吧.

/usr/ports/security/openssl

那apache 2.0的ports路徑如下:

/usr/ports/www/apache20

我只用網路安裝bsd, 但是我用sysinstall還是可以看到有各版本apache.

# sysinstall -> Configure / Packages / ftp (你可以選cd/dvd , 但要光碟先掛載進來) / www / <這層的選單應該就有各版本apache>

coborla

  • 懷疑的國中生
  • **
  • 文章數: 50
    • 檢視個人資料
SYSINSTALL 一問
« 回覆 #3 於: 2007-07-29 13:39 »
我的版本有兩種 6.1 & 6.2

你ftp失敗的原因是server不提供吧...請見warning messages.

如果你一定要用sysinstall裝, 在國內各大學找一下, 6.x一定還可以找得到.

另一條路是用ports系統安裝. 絕對路徑先前已經寫了.

Q: 你的/etc/make.conf裡master site backup是指到哪裡?

antipower

  • 可愛的小學生
  • *
  • 文章數: 4
    • 檢視個人資料
    • 遊戲紀錄
SYSINSTALL 一問
« 回覆 #4 於: 2007-07-30 15:05 »
謝謝您的解答,  我會再抓 freebsd 6.1 跟 6.2 回來裝看看
Freebsd 版本是 6.0
以下是 /etc/make.conf 的內容

   UW PICO(tm) 4.10             File: /etc/make.conf

# added by use.perl 2007-07-23 18:05:01
PERL_VER=5.8.7
PERL_VERSION=5.8.7


引述: "coborla"
我的版本有兩種 6.1 & 6.2

你ftp失敗的原因是server不提供吧...請見warning messages.

如果你一定要用sysinstall裝, 在國內各大學找一下, 6.x一定還可以找得到.

另一條路是用ports系統安裝. 絕對路徑先前已經寫了.

Q: 你的/etc/make.conf裡master site backup是指到哪裡?

coborla

  • 懷疑的國中生
  • **
  • 文章數: 50
    • 檢視個人資料
SYSINSTALL 一問
« 回覆 #5 於: 2007-07-30 20:06 »
這樣看來是你未修改master site backup所致?

我建議你編輯SUPHOST, MASTER_SITE_BACKUP的指向, 應該可以解決安裝package的問題.